package edu.cmu.cs.l3.semant;

public class TypeCheckException extends Exception {

    public TypeCheckException() {
	super("TYCHECK ERROR: Type Checking Exception");
    }

    public TypeCheckException(String msg) {
	super("TYCHECK FATAL ERROR: " + msg);
    }
}